import { Point } from '../../types/point.type';
import { Actor } from './actor';

export class Waypoint {
  point: Point;
  actors: Array<Actor>;

  constructor(point: Point) {
    this.point = point;
    this.actors = [];
  }

  addActor = (actor: Actor) => this.actors.push(actor);
}
