import { Module } from '@nestjs/common';
import { PrismaService } from './src/adapters/secondaries/prisma-service';
import { MatcherRepository } from './src/domain/matcher-repository';

@Module({
  providers: [PrismaService, MatcherRepository],
  exports: [PrismaService, MatcherRepository],
})
export class DatabaseModule {}
